%global dlrn_nvr 18.6.1-17.1.20230622044611.7805f7e
%global dlrn 1
%define upstream_version 18.6.1
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0xa7475c5f2122fec3f90343223fe3bf5aad1080e4
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:                   puppet-ovn
Version: 18.6.1
Release: 17.1.20230622044612.7805f7e%{?dist}
Summary:                Puppet module to setup ovn-northd and ovn-controller
License:                ASL 2.0

URL:                    https://launchpad.net/puppet-ovn

Source0: 18.6.1-17.1.20230622044611.7805f7e.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=7805f7e0be9ea4217a3631fcd1e1d3e6eaf3dcd8

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/%{name}/%{name}-%{version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:              noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif

Requires:               puppet-stdlib
Requires:               puppet >= 2.7.0

%description
Puppet module to install and configure ovn

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%setup -q -n openstack-ovn-%{upstream_version}

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/ovn/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/ovn/



%files
%{_datadir}/openstack-puppet/modules/ovn/


%changelog
* Thu Jun 22 2023 OSP Prod Chain <dev-null@redhat.com> 22.0.1-17.1.20230622044611.7805f7e
- Update patches

* Wed Apr 12 2023 OSP Prod Chain <dev-null@redhat.com> 22.0.1-1.20230413013953.7805f7e
- Update patches
- [Stable Only] Handle string value for ovn_bridge_mappings

* Wed Nov 16 2022 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20221116234342.6375bb2
- Update patches
- Add support for ovn-ofctrl-wait-before-clear

* Tue Nov 08 2022 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20221109014312.df9d0e7
- Update patches

* Tue Nov 08 2022 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20221108090417.df9d0e7
- Update patches
- setuptools: Disable auto discovery

* Tue Nov 01 2022 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20221102030449.14e70c6
- Update patches
- Prepare the final wallaby release

* Tue Sep 06 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-1.20220906194739.223ce32
- Update patches
- Add support for external_ids:ovn-encap-tos

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-1.20220728012242.d496e5a
- Update patches

* Thu Jul 14 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-1.20220714105117.d496e5a
- Update patches

* Wed Jul 13 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-1.20220713072509.d496e5a
- Update patches

* Tue Jul 12 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-0.20220712165905.d496e5a
- Update patches

* Thu Feb 17 2022 OSP Prod Chain <dev-null@redhat.com> 20.1.1-0.20220218000327.d496e5a
- Update patches

* Thu Feb 03 2022 OSP Prod Chain <dev-null@redhat.com> 20.1.1-0.20220204013930.d496e5a
- Update patches
- Prepare a new Wallaby release

* Sat Sep 04 2021 OSP Prod Chain <dev-null@redhat.com> 19.2.0-0.20210905001814.9879556
- Update patches
- Add ovn-monitor-all option to ovn-controller

* Thu Jun 03 2021 OSP Prod Chain <dev-null@redhat.com> 19.1.0-0.20210603225949.e0a8991
- Update patches
- Set fixture paths for unit tests

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 19.0.0-0.20210528075439.63e3daa
- Update patches

* Tue Apr 06 2021 OSP Prod Chain <dev-null@redhat.com> 18.4.0-1
- Update patches
- Update TOX_CONSTRAINTS_FILE for stable/wallaby
- Update .gitreview for stable/wallaby
- Update sphinx to the latest version
- Prepare Wallaby RC1

* Fri Mar 26 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update supported Ubuntu version to Focal
- Deprecate duplicated implementation for hw-offload option

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update supported Ubuntu version to Focal
- Update supported Ubuntu version to Focal

* Tue Mar 23 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update supported Ubuntu version to Focal

* Wed Mar 17 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Wallaby M3
- Set external_ids:ovn-chassis-mac-mappings

* Sat Jan 23 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Wallaby M2

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Dec 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Wallaby M1

* Tue Dec 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add new update parameter: enable_ovn_match_northd.

* Wed Nov 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Replace deprecated UPPER_CONSTRAINTS_FILE variable

* Wed Oct 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix outdated files

* Thu Oct 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump version for the start of Wallaby

* Fri Oct 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update master for stable/victoria

* Mon Sep 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Victoria RC1

* Sat Sep 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix unknown variable warnings
- Add Puppet Litmus

* Tue Sep 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Victoria M3

* Mon Aug 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use openstack_spec_helper from zuul checkout

* Thu Jul 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Victoria M2

* Fri Jul 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix beaker-rspec url

* Mon Jul 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use relative name for class inclusion

* Sat Jun 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Victoria M1

* Wed Jun 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch to newer openstackdocstheme and reno versions

* Mon Jun 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update Puppet requirement to >= 6.0.0

* Fri May 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump version for the start of Victoria

* Wed May 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [controller] Add the ability to configure transport zones

* Wed May 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add CentOS8 to nodesets

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [ussuri][goal] Add CONTRIBUTING.rst

* Mon May 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Gather all os specific parameters into ovn::parms

* Mon May 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Runs on Debian 10.

* Wed Apr 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update master for stable/ussuri

* Sat Apr 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri RC1

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri M3 again
- Resolve duplicated requirement names in metadata

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri M3

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add CentOS 8 and Puppet 6 in metadata

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Feb 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Feb 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [ussuri][goal] Cleanup for python 2.7 drop

* Fri Feb 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri M2

* Fri Jan 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix 'RedHat' misspelled as 'Redhat'

* Tue Jan 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add clustering support for ovsdb

* Mon Jan 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add Debian support for initialising DB

* Wed Dec 11 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix stdlib version in metadata

* Tue Dec 10 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri M1

* Mon Dec 09 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Convert all class usage to relative names

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Oct 10 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update master for stable/train




